Closed Bug 1729045 Opened 3 months ago Closed 3 months ago

Perma TEST-UNEXPECTED-FAIL | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - when Gecko 93 switches to Late Beta on 2021-09-17

Categories

(Firefox :: Preferences, defect, P1)

defect

Tracking

()

VERIFIED FIXED
94 Branch
Tracking Status
firefox-esr78 --- unaffected
firefox-esr91 --- unaffected
firefox91 --- unaffected
firefox92 --- unaffected
firefox93 + fixed
firefox94 --- verified

People

(Reporter: imoraru, Assigned: timhuang)

References

(Regression)

Details

(Keywords: regression)

Attachments

(2 files, 1 obsolete file)

[Tracking Requested - why for this release]:

Central-as-beta simulation:
How to run these simulations:

Failure log:

[task 2021-09-03T15:22:43.669Z] 15:22:43     INFO - TEST-START | browser/components/preferences/tests/browser_contentblocking_categories.js
[task 2021-09-03T15:22:43.747Z] 15:22:43     INFO - TEST-INFO | started process screenshot
[task 2021-09-03T15:22:43.994Z] 15:22:43     INFO - TEST-INFO | screenshot: exit 0
[task 2021-09-03T15:22:43.999Z] 15:22:43     INFO - Buffered messages logged at 15:22:43
[task 2021-09-03T15:22:44.000Z] 15:22:44     INFO - Entering test bound testContentBlockingStandardDefinition
[task 2021-09-03T15:22:44.000Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | browser.contentblocking.category starts on standard - 
[task 2021-09-03T15:22:44.001Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.enabled pref has the default value - 
[task 2021-09-03T15:22:44.002Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.pbmode.enabled pref has the default value - 
[task 2021-09-03T15:22:44.003Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.fingerprinting.enabled pref has the default value - 
[task 2021-09-03T15:22:44.003Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has the default value - 
[task 2021-09-03T15:22:44.004Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.socialtracking.enabled pref has the default value - 
[task 2021-09-03T15:22:44.005Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior pref has the default value - 
[task 2021-09-03T15:22:44.005Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior.pbmode pref has the default value - 
[task 2021-09-03T15:22:44.006Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.annotate_channels.strict_list.enabled pref has the default value - 
[task 2021-09-03T15:22:44.006Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - 
[task 2021-09-03T15:22:44.007Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.enabled pref has the default value - 
[task 2021-09-03T15:22:44.008Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.pbmode.enabled pref has the default value - 
[task 2021-09-03T15:22:44.008Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.fingerprinting.enabled pref has the default value - 
[task 2021-09-03T15:22:44.009Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has the default value - 
[task 2021-09-03T15:22:44.009Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.socialtracking.enabled pref has the default value - 
[task 2021-09-03T15:22:44.010Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior pref has the default value - 
[task 2021-09-03T15:22:44.011Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior.pbmode pref has the default value - 
[task 2021-09-03T15:22:44.011Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.annotate_channels.strict_list.enabled pref has the default value - 
[task 2021-09-03T15:22:44.012Z] 15:22:44     INFO - Buffered messages finished
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - TEST-UNEXPECTED-FAIL | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - 
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - Stack trace:
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochikit/content/browser-test.js:test_ok:1336
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochitests/content/browser/browser/components/preferences/tests/browser_contentblocking_categories.js:testContentBlockingStandardDefinition:145
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest/<:1091
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochikit/content/browser-test.js:Tester_execTest:1131
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochikit/content/browser-test.js:nextTest/<:939
[task 2021-09-03T15:22:44.014Z] 15:22:44     INFO - chrome://mochikit/content/tests/SimpleTest/SimpleTest.js:SimpleTest.waitForFocus/<:1041
[task 2021-09-03T15:22:44.015Z] 15:22:44     INFO - Leaving test bound testContentBlockingStandardDefinition
[task 2021-09-03T15:22:44.015Z] 15:22:44     INFO - Entering test bound testContentBlockingStrictDefinition
[task 2021-09-03T15:22:44.016Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | browser.contentblocking.category has changed to strict - 
[task 2021-09-03T15:22:44.017Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | We changed the default value of browser.contentblocking.features.strict - 
[task 2021-09-03T15:22:44.017Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | browser.contentblocking.features.strict changed to what we set. - 
[task 2021-09-03T15:22:44.018Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.018Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.pbmode.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.019Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.020Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.020Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.socialtracking.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.021Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior has been set to BEHAVIOR_ACCEPT - 
[task 2021-09-03T15:22:44.021Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior.pbmode has been set to BEHAVIOR_ACCEPT - 
[task 2021-09-03T15:22:44.022Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.annotate_channels.strict_list.enabled pref has been set to true - 
[task 2021-09-03T15:22:44.022Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has been set to true - 
[task 2021-09-03T15:22:44.023Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.enabled pref has the default value - 
[task 2021-09-03T15:22:44.023Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.pbmode.enabled pref has the default value - 
[task 2021-09-03T15:22:44.024Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.fingerprinting.enabled pref has the default value - 
[task 2021-09-03T15:22:44.024Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has the default value - 
[task 2021-09-03T15:22:44.025Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.socialtracking.enabled pref has the default value - 
[task 2021-09-03T15:22:44.026Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior pref has the default value - 
[task 2021-09-03T15:22:44.027Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior.pbmode pref has the default value - 
[task 2021-09-03T15:22:44.027Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.annotate_channels.strict_list.enabled pref has the default value - 
[task 2021-09-03T15:22:44.028Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - 
[task 2021-09-03T15:22:44.029Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.029Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.pbmode.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.030Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.fingerprinting.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.030Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.cryptomining.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.031Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.trackingprotection.socialtracking.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.031Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior has been set to BEHAVIOR_REJECT_TRACKER - 
[task 2021-09-03T15:22:44.032Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.cookie.cookieBehavior.pbmode has been set to BEHAVIOR_REJECT - 
[task 2021-09-03T15:22:44.032Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | privacy.annotate_channels.strict_list.enabled pref has been set to false - 
[task 2021-09-03T15:22:44.033Z] 15:22:44     INFO - TEST-PASS | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has been set to false - 
[task 2021-09-03T15:22:44.033Z] 15:22:44     INFO - Leaving test bound testContentBlockingStrictDefinition
[task 2021-09-03T15:22:44.034Z] 15:22:44     INFO - Console message: [JavaScript Error: "Error: Unknown rule observed " {file: "resource:///modules/BrowserGlue.jsm" line: 4478}]
[task 2021-09-03T15:22:44.034Z] 15:22:44     INFO - setPrefExpectations@resource:///modules/BrowserGlue.jsm:4478:14
[task 2021-09-03T15:22:44.034Z] 15:22:44     INFO - _setPrefExpectationsAndUpdate@resource:///modules/BrowserGlue.jsm:1797:36
[task 2021-09-03T15:22:44.035Z] 15:22:44     INFO - testContentBlockingStrictDefinition@chrome://mochitests/content/browser/browser/components/preferences/tests/browser_contentblocking_categories.js:238:12
[task 2021-09-03T15:22:44.035Z] 15:22:44     INFO - Tester_execTest/<@chrome://mochikit/content/browser-test.js:1091:34
[task 2021-09-03T15:22:44.035Z] 15:22:44     INFO - 
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - Console message: [JavaScript Error: "Error: Unknown rule observed " {file: "resource:///modules/BrowserGlue.jsm" line: 4478}]
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - setPrefExpectations@resource:///modules/BrowserGlue.jsm:4478:14
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - _setPrefExpectations@resource:///modules/BrowserGlue.jsm:1793:36
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - setPrefsToCategory@resource:///modules/BrowserGlue.jsm:4564:26
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - updateCBCategory@resource:///modules/BrowserGlue.jsm:4552:10
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - _setPrefExpectationsAndUpdate@resource:///modules/BrowserGlue.jsm:1798:36
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - testContentBlockingStrictDefinition@chrome://mochitests/content/browser/browser/components/preferences/tests/browser_contentblocking_categories.js:238:12
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - Tester_execTest/<@chrome://mochikit/content/browser-test.js:1091:34
[task 2021-09-03T15:22:44.036Z] 15:22:44     INFO - 
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - Console message: [JavaScript Error: "Error: Unknown rule observed " {file: "resource:///modules/BrowserGlue.jsm" line: 4478}]
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - setPrefExpectations@resource:///modules/BrowserGlue.jsm:4478:14
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - _setPrefExpectations@resource:///modules/BrowserGlue.jsm:1793:36
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - setPrefsToCategory@resource:///modules/BrowserGlue.jsm:4564:26
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - updateCBCategory@resource:///modules/BrowserGlue.jsm:4552:10
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - _setPrefExpectationsAndUpdate@resource:///modules/BrowserGlue.jsm:1798:36
[task 2021-09-03T15:22:44.037Z] 15:22:44     INFO - testContentBlockingStrictDefinition@chrome://mochitests/content/browser/browser/components/preferences/tests/browser_contentblocking_categories.js:238:12
[task 2021-09-03T15:22:44.038Z] 15:22:44     INFO - Tester_execTest/<@chrome://mochikit/content/browser-test.js:1091:34
[task 2021-09-03T15:22:44.038Z] 15:22:44     INFO - 
[task 2021-09-03T15:22:44.038Z] 15:22:44     INFO - GECKO(2092) | MEMORY STAT | vsize 19406338MB | vsizeMaxContiguous 65928755MB | residentFast 1484MB
[task 2021-09-03T15:22:44.038Z] 15:22:44     INFO - TEST-OK | browser/components/preferences/tests/browser_contentblocking_categories.js | took 290ms
[task 2021-09-03T15:22:44.039Z] 15:22:44     INFO - checking window state
[task 2021-09-03T15:22:44.039Z] 15:22:44     INFO - TEST-START | browser/components/preferences/tests/browser_cookie_exceptions_addRemove.js
Flags: needinfo?(dd.mozilla)
Regressed by: 1728543
Summary: Perma TEST-UNEXPECTED-FAIL | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - when Gecko 93 merges to Beta on 2021-09-06 → Perma TEST-UNEXPECTED-FAIL | browser/components/preferences/tests/browser_contentblocking_categories.js | network.http.referer.disallowCrossSiteRelaxingDefault pref has the default value - when Gecko 93 switches to Late Beta on 2021-09-17

Sorry for the noise, Dragana.

Flags: needinfo?(dd.mozilla) → needinfo?(tihuang)
Regressed by: 1727503
No longer regressed by: 1728543

It seems like a timing issue to me. I can work around the issue by setting the default pref of 'network.http.referer.disallowCrossSiteRelaxingDefault' earlier than other prefs. I will submit a patch to work around this issue first.

Flags: needinfo?(tihuang)

This patch doesn't change the testing logic, but it will change the
timing so that the test won't fail when doing a late beta migration
test.

Assignee: nobody → tihuang
Status: NEW → ASSIGNED

Try push shows that the error no longer appears after the patch.

Attachment #9239657 - Attachment description: Bug 1729045 - Moving setting default pref 'network.http.referer.disallowCrossSiteRelaxingDefault' earlier in test browser_contentblocking_categories.js. r?johannh → Bug 1729045 - Make the Policies module to set pref 'network.http.referer.disallowCrossSiteRelaxingDefault' when Firefox is in a enterprise policy which will enforce ETP custom. r?johannh
Attachment #9239657 - Attachment description: Bug 1729045 - Make the Policies module to set pref 'network.http.referer.disallowCrossSiteRelaxingDefault' when Firefox is in a enterprise policy which will enforce ETP custom. r?johannh → Bug 1729045 - Part 1: Stop settings pref in the ETP custom mode. r?johannh

The test browser_contentblocking.js needs to be updated to reflect the
change that we no longer set pref in the ETP custom mode.

Depends on D124903

Attachment #9240036 - Attachment description: Bug 1729045 - Part 3: Update test browser_contentblocking.js. r?johannh → Bug 1729045 - Part 2: Update test browser_contentblocking.js. r?johannh

Comment on attachment 9240035 [details]
Bug 1729045 - Part 2: Add an option for disallowing relaxing referrer headers in the Custom mode. r?johannh

Revision D124903 was moved to bug 1729704. Setting attachment 9240035 [details] to obsolete.

Attachment #9240035 - Attachment is obsolete: true
Pushed by tihuang@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/dc54f40f8550
Part 1: Stop settings pref in the ETP custom mode. r=johannh
https://hg.mozilla.org/integration/autoland/rev/636378d07274
Part 2: Update test browser_contentblocking.js. r=johannh
Priority: -- → P1

Changing severity to S4 because this is just a timing change but did cause permafailing of tests.

Severity: -- → S4
Status: ASSIGNED → RESOLVED
Closed: 3 months ago
Resolution: --- → FIXED
Target Milestone: --- → 94 Branch

Comment on attachment 9239657 [details]
Bug 1729045 - Part 1: Stop settings pref in the ETP custom mode. r?johannh

Beta/Release Uplift Approval Request

  • User impact if declined: There will be little user impact, but the test browser_contentblocking_categories.js will fail when migration to late beta if declined it.
  • Is this code covered by automated tests?: Yes
  • Has the fix been verified in Nightly?: Yes
  • Needs manual test from QE?: No
  • If yes, steps to reproduce:
  • List of other uplifts needed: None
  • Risk to taking this patch: Low
  • Why is the change risky/not risky? (and alternatives if risky): This is low risk because it only changes the behavior of setting pref 'network.http.referer.disallowCrossSiteRelaxingDefault' in custom mode.
  • String changes made/needed: None
Attachment #9239657 - Flags: approval-mozilla-beta?
Attachment #9240036 - Flags: approval-mozilla-beta?

Comment on attachment 9239657 [details]
Bug 1729045 - Part 1: Stop settings pref in the ETP custom mode. r?johannh

Low risk, approved for 93 beta 5, thanks.

Attachment #9239657 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
Attachment #9240036 - Flags: approval-mozilla-beta? → approval-mozilla-beta+
You need to log in before you can comment on or make changes to this bug.